[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: KDE ABI transition woes: linking both old and new libstdc++ ?'

Hello *,

On Wed, Sep 14, 2005 at 08:58:47PM +0200, José Luis Tallón wrote:
>     I am rebuilding my KDE packages for upload, so as to fulfil the
> requirements of the C++ ABI transition in Sid, and i am encountering a
> serious(IMVHO) problem: binaries get linked to *both* libstdc++5 (old
> version) and libstdc++6 (new version, gcc4 - C++ ABIv2)... however,
> the binary package declares *exclusively* a dependency on libstdc++6
> (which is good).
> Any advice on how to proceed with this?? I have already succesfully
> uploaded *one* package, but Linda complained loudly on the rest...
> some library not already transitioned???

Just recently there was a thread on -mentors, please see
<http://lists.debian.org/debian-mentors/2005/09/msg00063.html> and
<http://lists.debian.org/debian-mentors/2005/09/msg00078.html> and


Attachment: signature.asc
Description: Digital signature

Reply to: